import request from '@/utils/request'

/**
* 项目分组树形查询列表
* @param {查询条件} data
*/
export function projectGroupTreeList(query) {
  return request({
    url: '/business/ProjectGroup/getProjectGroupTreeList',
    method: 'get',
    params: query
  })
}

// 项目分组新增或修改
export function addOrUpdateProjectGroup(data) {
  return request({
    url: '/business/ProjectGroup/addOrUpdateProjectGroup',
    method: 'post',
    data: data,
  })
}

// 项目分组删除
export function delProjectGroup(ids) {
  return request({
    url: '/business/ProjectGroup/'+ ids,
    method: 'delete'
  })
}

// 项目分组导出
export function exportProjectGroup(query) {
  return request({
    url: 'business/ProjectGroup/exportProjectGroup',
    method: 'get',
    params: query
  })
}

