import request from '@/utils/request'

// 新闻分页查询列表
export function newsList(query) {
  return request({
    url: '/business/News/getNewsList',
    method: 'get',
    params: query
  })
}

// 新闻新增或修改
export function addOrUpdateNews(data) {
  return request({
    url: '/business/News/addOrUpdateNews',
    method: 'post',
    data: data,
  })
}

// 新闻删除
export function delNews(ids) {
  return request({
    url: '/business/News/'+ ids,
    method: 'delete'
  })
}

// 新闻导出
export function exportNews(query) {
  return request({
    url: 'business/News/export',
    method: 'get',
    params: query
  })
}

// 新闻审核
export function audit(data) {
  return request({
    url: 'business/News/audit',
    method: 'put',
    data: data
  })
}
