import request from '@/utils/request'

// 关键词分页查询列表
export function keyList(query) {
  return request({
    url: '/business/Key/getKeyList',
    method: 'get',
    params: query
  })
}

// 关键词新增或修改
export function addOrUpdateKey(data) {
  return request({
    url: '/business/Key/addOrUpdateKey',
    method: 'post',
    data: data,
  })
}

// 关键词删除
export function delKey(ids) {
  return request({
    url: '/business/Key/'+ ids,
    method: 'delete'
  })
}

// 关键词导出
export function exportKey(query) {
  return request({
    url: 'business/Key/export',
    method: 'get',
    params: query
  })
}

// 关键词审核
export function auditKey(data) {
  return request({
    url: 'business/Key/auditKey',
    method: 'put',
    data: data
  })
}