import request from '@/utils/request'

// 查询列表
export function studentList(query) {
  return request({
    url: '/business/student/GetStudentList',
    method: 'get',
    params: query
  })
}

// 新增或修改
export function addOrUpdateStudent(data) {
  return request({
    url: '/business/student/addOrUpdateStudent',
    method: 'post',
    data: data,
  })
}

// 删除
export function delStudent(ids) {
  return request({
    url: '/business/student/'+ ids,
    method: 'delete'
  })
}

// 查询班级列表
export function getClassList(query) {
  return request({
    url: '/business/student/getClassList',
    method: 'get',
    params: query
  })
}

// 查询关键词列表
export function getKeyList(query) {
  return request({
    url: '/business/student/getKeyList',
    method: 'get',
    params: query
  })
}

// 审核
export function auditStudent(data) {
  return request({
    url: '/business/student/auditStudent',
    method: 'put',
    data: data
  })
}

// 导出学生目录
export function exportStudent(query) {
  return request({
    url: 'business/student/export',
    method: 'get',
    params: query
  })
}

// 通过学生Guid查找学生服务
export function findStudetnServiceByGuid(data) {
  return request({
    url: '/business/student/findStudetnServiceByGuid',
    method: 'post',
    data: data,
  })
}